@font-face {
    font-family: "UTM Avo";
    src: url("/frontend/fonts/UTM Avo.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "UTM Avo";
    src: url("/frontend/fonts/UTM AvoBold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: "UTM Avo";
    src: url("/frontend/fonts/UTM AvoBold_Italic.ttf") format("truetype");
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: "UTM Avo";
    src: url("/frontend/fonts/UTM AvoItalic.ttf") format("truetype");
    font-weight: 400;
    font-style: italic;
}
*{
    margin: 0;
    padding: 0;
    font-family: 'UTM Avo', sans-serif;
    box-sizing: border-box;
}
a{
    text-decoration: none;
}
a:hover{
    text-decoration: none;
}
a:hover img{
    filter: brightness(110%);
}
.wrapper{
    background: #262547;
    min-height: 100vh;
    overflow: hidden;
}
.main{
    display: grid;
    grid-template-columns: 20% 60% 20%;
    grid-column-gap: 0px;
}
.left-side{
    padding: 5px 15px;
}
.left-side a{
    display: block;
    padding: 5px 10px;
    border-radius: 10px;
    border: 2px solid transparent;
    color: white;
    text-decoration: none;
    font-size: 20px;
    margin-bottom: 2px;
    line-height: 100%;
}
.left-side hr{
    border: 1.5px solid #33abff;
    opacity: 1;
}
.menu-left.active, .menu-left:hover{
    border: 2px solid #aeebff!important;
    background: #0163EB;
    background: linear-gradient(90deg,rgba(1, 99, 235, 1) 0%, rgba(0, 148, 243, 1) 50%, rgba(0, 188, 249, 1) 100%);
}
.menu-left img{
    margin-right: 10px;
}
.middle{
    padding: 50px 15px 50px;
}
.right-side{
    padding: 50px 15px 50px;
}
.md-header-mb{
    display: none;
}
.md-header-pc{
    justify-content: right;
    display: flex;
    align-items: center;
}
.md-header__item{
    display: inline-block;
    margin-left: 10px;
}
.md-header__item.coin{
    background: #3b376f;
    padding: 5px 20px 5px 10px;
    border-radius: 20px;
    color: white;
    font-weight: bold;
    font-size: 18px;
}
.slider__item img{
    border-radius: 30px;
}
.slider .slick-dots li button:before{
    color: #0c4fff;
}
.slider .slick-dots li.slick-active button:before {
    opacity: 1;
    color: #00ceff;
}
.md-game__title{
    font-size: 30px;
    color: white;
    font-weight: bold;
    margin-bottom: 10px;
}
.md-game__content{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-column-gap: 10px;
    grid-row-gap: 10px;
}
.game-item{
    position: relative;
}
.game-item__tag{
    position: absolute;
    top: 0;
    right: 0;
    width: 25%;
}
.rs-banner-img{
    border-radius: 25px;
}
.rs-content .nav-tabs{
    border-bottom: none;
}
.rs-content .nav-link{
    color: #504b92;
    font-weight: bold;
    border: 0;
}
.rs-content .nav-link:hover{
    border: none;
    color: white;
}
.rs-content .nav-tabs .nav-item.show .nav-link, .rs-content .nav-tabs .nav-link.active{
    background: transparent;
    color: white;
    border: none;
}
.rs-content{
    color: #504b92;
}
.rank-item{
    display: grid;
    grid-template-columns: 15% 40% 1fr;
    grid-column-gap: 5px;
}
.md-header__item.userinfo{
    position: relative;
    cursor: pointer;
}
.md-header__item.userinfo .ui-content{
    display: grid;
    grid-template-columns: 1fr 60px;
    grid-column-gap: 5px;
    width: auto;
    color: white;
}
.ui-avt{
    border: 4px solid white;
    border-radius: 50%;
    width: 60px;
}
.ui-left{
    text-align: right;
}
.ui-left__name{
    font-weight: bold;
}
.ui-arrow{
    position: absolute;
    right: 0;
    bottom: 0;
}
.ui-dropdown{
    display: none;
    position: absolute;
    bottom: 0;
    right: 0;
    transform: translateY(105%);
    z-index: 1;
    width: 170px;
    background: #5953a1;
    padding: 10px;
}
.ui-dropdown.opened{
    display: block;
}
.ui-dropdown__item{
    display: block;
    color: white;
    margin-bottom: 5px;
}
.logo{
    display: inline-block;
    max-width: 235px;
}
.md-menu-bottom{
    display: none;
}
footer{
    color: white;
}
.ft-info{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 15px;
}
.ft-copyright{
    font-size: 25px;
}
.ft-text{
    color: white;
    font-size: 18px;
}
.ft-text:hover{
    color: white;
}
.ft-company{
    font-weight: bold;
    font-size: 28px;
}
.ft-left .ft-text{
    margin-top: 15px;
}
.logo-ss{
    background: rgba(22, 43, 70, 0.8);
    padding: 15px;
    margin-top: 15px;
}
.logo-ss img{
    max-width: 50%;
}
.md-game__title-icon{
    max-width: 35px;
}
.warn18{
    position: relative;
}
.warn18-mb{
    display: none;
}
@media only screen and (max-width: 1400px) {
    .rank-item {
        display: grid;
        grid-template-columns: 15% 50% 1fr;
    }
    .rank-item__date{
        font-size: 12px;
        padding-top: 3px;
    }
}
@media only screen and (max-width: 1250px) {
    .md-game__content {
        grid-template-columns: repeat(4, 1fr);
    }
    .main {
        grid-template-columns: 25% 75%;
        grid-template-rows: auto auto;
    }
    .main > *:nth-child(3) {
        grid-column: 2 / 3;
        grid-row: 2 / 3;
    }
    .right-side{
        display: none;
    }
    .left-side a{
        font-size: 18px;
    }
}
@media only screen and (max-width: 992px) {
    .main {
        grid-template-columns: 100%; /* chỉ còn 1 cột */
    }
    /* Ẩn cột 1 và cột 3 */
    .main > *:nth-child(1),
    .main > *:nth-child(3) {
        display: none;
    }
    /* Cột 2 full width */
    .main > *:nth-child(2) {
        grid-column: 1 / -1;
    }
    .middle{
        padding-top: 15px;
    }
    .md-header-mb{
        justify-content: space-between;
        display: flex;
        align-items: center;
    }
    .md-header-mb .logo{
        width: 130px;
    }
    .md-header-mb .menu-left{
        padding: 5px 25px;
        color: white;
        margin: 5px;
        border-radius: 10px;
        border: 2px solid transparent;
        font-size: 20px;
        font-weight: bold;
    }
    .md-game__title{
        font-size: 22px;
    }
    .md-game__title img{
        width: 30px;
    }
    .md-menu-bottom{
        position: fixed;
        bottom: 15px;
        left: 50%;
        transform: translateX(-50%);
        display: block;
        width: 500px;
        max-width: 100%;
        background: #212529b5;
        border-radius: 15px;
        padding: 5px;
    }
    .menu-bottom{
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: center;
    }
    .menu-bottom__item{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        text-decoration: none;
        color: white;
        font-size: 14px;
        font-weight: bold;
        padding: 10px 20px;
        border-radius: 15px;
        border: 2px solid transparent;
    }
    .menu-bottom__item img{
        width: 32px;
        height: auto;
        margin-bottom: 4px;
        display: block;
    }
    .menu-bottom__item:hover{
        border: 2px solid #aeebff!important;
        background: #0163EB;
        background: linear-gradient(90deg,rgba(1, 99, 235, 1) 0%, rgba(0, 148, 243, 1) 50%, rgba(0, 188, 249, 1) 100%);
    }
    .ft-company, .ft-copyright{
        font-size: 20px;
    }
    .ft-text{
        font-size: 16px;
    }
    .warn18-mb{
        display: block;
        position: absolute;
        top: 110px;
        left: 15px;
        height: 50px;
    }
}
@media only screen and (max-width: 769px) {
    .md-game__title{
        font-size: 18px;
    }
    .md-game__title img{
        width: 27px;
    }
    .md-header-mb .menu-left {
        font-size: 18px;
        font-weight: bold;
    }
    .md-game__content {
        grid-template-columns: repeat(3, 1fr);
    }
    footer .middle{
        padding-bottom: 15px;
    }
    .ft-info{
        grid-template-columns: repeat(1, 1fr);
    }
    .ft-left .ft-text{
        margin-top: 10px;
    }
    .ft-left .ft-text img{
        max-width: 25px;
    }
    .ft-right{
        margin-top: 15px;
    }
}
@media only screen and (max-width: 601px) {
    .md-header-mb .menu-left {
        padding: 3px 10px;
        color: white;
        margin: 3px;
        font-size: 16px;
        font-weight: bold;
    }
    .md-header__item img{
        max-width: 30px;
    }
    .md-header__item.coin{
        padding: 3px 15px 3px 7px;
        font-weight: bold;
        font-size: 14px;
    }
    .md-header__item.userinfo .ui-avt{
        max-width: 40px;
    }
    .md-header__item.userinfo .ui-arrow{
        max-width: 18px;
    }
    .md-header__item.userinfo .ui-content {
        grid-template-columns: 1fr 40px;
        width: auto;
    }
    .ui-left__level, .ui-dropdown__item{
        font-size: 12px;
    }
    .md-game__title{
        font-size: 16px;
    }
    .md-game__title img{
        width: 20px;
    }
    .warn18-mb{
        height: 40px;
    }
}
@media only screen and (max-width: 501px) {
    .md-header-mb .logo {
        width: 80px;
    }
    .md-header-mb .menu-left {
        font-size: 14px;
        font-weight: bold;
    }
    .md-menu-bottom{
        bottom: 0;
        padding: 5px;
    }
    .menu-bottom__item{
        padding: 7px 15px;
        font-size: 12px;
    }
    .md-game__content {
        grid-template-columns: repeat(2, 1fr);
    }
    .warn18-mb{
        height: 35px;
        position: static;
    }
}
@media only screen and (max-width: 420px) {
    .md-header__item.userinfo .ui-avt {
        max-width: 35px;
    }
    .md-header__item.userinfo .ui-arrow {
        max-width: 14px;
    }
    .ui-left__name {
        font-size: 14px;
    }
    .md-header__item.userinfo .ui-content {
        grid-template-columns: 1fr 35px;
        width: auto;
    }
    .md-header__item.coin {
        padding: 3px 10px 3px 5px;
        font-weight: 500;
        font-size: 12px;
    }
    .md-header__item.coin img{
        max-width: 15px;
    }
    .md-header-mb .menu-left {
        font-size: 14px;
        padding: 3px 5px;
    }
    .ui-dropdown {
        bottom: 0;
        left: 0;
        transform: translate(-26%, 105%);
        width: 150px;
    }
}
@media only screen and (max-width: 390px) {
    .md-header-mb .menu-left {
        font-size: 12px;
        padding: 2px 4px;
    }
}
.game-name {
    font-size: 10pt;
}

.swal2-modal #swal2-title, .swal2-modal #swal2-html-container, .swal2-modal .swal2-close {
    font-weight: bold;
    -webkit-text-stroke: 3px black;
    paint-order: stroke fill;
}

.box-shadow {
    box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.75);
    -webkit-box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.75);
}

.custom-modal .btn-close {
    background: none;
}

.custom-modal .modal-content {
    padding: 0;
    overflow: hidden;
}

.simple-modal .modal-content {
    border: 1px solid #aeeafc;
}

.simple-modal .modal-header {
    background: linear-gradient(180deg, #4d50bf 0%, #262547 100%);
    border-bottom: none;
    justify-content: center;
}

.simple-modal .modal-footer {
    /*background: linear-gradient(180deg, #00bbfa 0%, #0060f0 100%);*/
    background: linear-gradient(180deg, #4d50bf 0%, #262547 100%);
    border-top: none;
    justify-content: flex-start;
}

.simple-modal .modal-title {
    font-size: 15pt;
    color: #fff;
    font-weight: bold;
    -webkit-text-stroke: 3px black;
    paint-order: stroke fill;
}

.simple-modal .modal-body, .custom-toast {
    background: linear-gradient(180deg, #2e2e8a 0%, #1e1e4a 100%) !important;
    scrollbar-width: thin;
}

.simple-modal .btn-close {
    background-image: url('/frontend/images/h5/btn_back.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 20px;
    height: 20px;
    opacity: 1;
}

.simple-modal .btn-close:hover,
.simple-modal .btn-close:focus {
    opacity: 0.8;
}

.simple-modal .captcha {
    overflow: hidden;
}

#btn-login-home {
    max-width: 150px;
}

#auth-modal .btn-close {
    width: 20px;
    height: 20px;
    position: absolute;
    right: 1%;
    top: 1%;
}


.btn-socialite {
    width: 100%;
}

.btn-socialite img {
    width: 20px;
}

@media (min-width: 992px) {
    /* Desktop (Bootstrap lg+) */
    #auth-modal .modal-dialog {
        width: 366px;
    }
}

#big-win-messages {
    color: #fff;
    font-weight: bold;
    overflow: hidden;
    width: 100%;
}

.swal2-container:has(.custom-toast) {
    z-index: 99999;
}

.custom-toast .swal2-timer-progress-bar {
    background-color: #c9c9c9 !important;
}

.custom-toast .swal2-title {
    color: white;
}

.custom-toast .swal2-close {
    color: white;
}

.custom-toast .swal2-html-container {
    color: white;
}

.custom-toast .btn-sm {
    padding: 0.1rem 0.2rem;
    font-size: 0.9rem;
}

.custom-toast .swal2-icon-content {
    font-size: 1.5em !important;
}

.fancybox-container {
    z-index: 1000 !important;
}

.game-img {
    -webkit-filter: drop-shadow(5px 5px 5px #666666);
    filter: drop-shadow(5px 5px 5px rgba(0, 0, 0, 0.75));
}

.ranking-img {
    width: 38px;
    height: 38px;
}

.ranking-img-sm {
    width: 30px;
    height: 30px;
}

.ranking-avatar {
    width: 50px;
    height: 50px;
}

@media (max-width: 1782px) {
    .ranking-avatar {
        display: none;
    }
}